Package twisted :: Package web :: Module server :: Class Session

[frames | no frames]

## Class Session

    Versioned --+
                |
    Componentized --+
                    |
                   Session

A user's session with a system.

This utility class contains no functionality, but is used to represent a session.

Method Summary
| ``__init__`(self, site, uid)` Initialize a session with a unique ID for that session.
| `checkExpired(self)`
| ``expire`(self)` Expire/logout of the session.
| ``notifyOnExpire`(self, callback)` Call this callback when the session expires or logs out.
| `touch(self)`
Inherited from Componentized
| ``addAdapter`(self, adapterClass, ignoreClass, registry)` Utility method that calls addComponent.
| ``addComponent`(self, component, ignoreClass, registry)` Add a component to me, for all appropriate interfaces.
| ``getComponent`(self, interface, registry, default)` Create or retrieve an adapter for the given interface.
| ``locateAdapterClass`(self, klass, interfaceClass, default, registry)`
| ``removeComponent`(self, component)` Remove the given component from me entirely, for all interfaces for which it has been registered.
| ``setAdapter`(self, interfaceClass, adapterClass)`
| ``setComponent`(self, interfaceClass, component)`
| ``unsetComponent`(self, interfaceClass)` Remove my component specified by the given interface class.
| ``upgradeToVersion1`(self)`
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
Inherited from Componentized
`int` | `persistenceVersion` = 1
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Method Details

### __init__(self, site, uid)
(Constructor)

Initialize a session with a unique ID for that session.

  Overrides:
    `twisted.python.components.Componentized.__init__`

### expire(self)

Expire/logout of the session.

### notifyOnExpire(self, callback)

Call this callback when the session expires or logs out.

Generated by Epydoc 2.0 on Sat May 15 20:08:25 2004 | http://epydoc.sf.net